> ## Documentation Index
> Fetch the complete documentation index at: https://docs.motioness.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get asset detail with generations list

` GET /api/assets/{id} `

Get asset detail with generations list

## Servers

- ` https://motioness.com ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` sessionCookie `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie set by /api/user/signin, /api/user/signup, or the OAuth callback. Required for all authenticated endpoints.

## Parameters

### ` id ` (path, required)

- ` value `: type ` string `

  - example: ` "abc123" `

  - minLength: ` 1 `

Example:

```json
"abc123"
```

## Responses

### ` 200 ` — Asset detail

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` asset `, ` generations `

  - ` asset `: type ` object `

    - Required fields: ` id `, ` project_id `, ` src_url `, ` status `, ` mp4_url `, ` poster_url `, ` duration_ms `, ` bytes `, ` vision_prompt `, ` model `, ` loop_mode `, ` created_at `, ` ready_at `, ` error `

    - ` id `: type ` string `

    - ` project_id `: type ` string `

    - ` src_url `: type ` string `

    - ` status `: type ` string `

      - enum: ` ["pending","ready","failed"] `

    - ` mp4_url `: type ` string `; nullable

    - ` poster_url `: type ` string `; nullable

    - ` duration_ms `: type ` number `; nullable

    - ` bytes `: type ` number `; nullable

    - ` vision_prompt `: type ` string `; nullable

    - ` model `: type ` string `; nullable

    - ` loop_mode `: type ` string `; nullable

      - enum: ` ["native","crossfade",null] `

    - ` created_at `: type ` number `

    - ` ready_at `: type ` number `; nullable

    - ` error `: type ` string `; nullable

  - ` generations `: type ` array `

    - ` array item `: type ` object `

### ` 404 ` — Not found

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://motioness.com/api/assets/abc123'
```

### JavaScript

```javascript
const response = await fetch('https://motioness.com/api/assets/abc123', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://motioness.com/api/assets/abc123')
print(response.json())
```